%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:  A python source code checking tool
Name: pychecker
Version: 0.8.19
Release: 1%{?dist}
URL: http://pychecker.sourceforge.net
Source0: http://dl.sourceforge.net/pychecker/pychecker-%{version}.tar.gz
License: BSD
Group: Development/Tools
BuildRequires: python-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
PyChecker is a python source code checking tool to help you find
common bugs. It is meant to find problems that are typically caught by
a compiler.

%prep
%setup -q

# remove the shebang from non-executable scripts
for i in Stack OP warn printer CodeChecks Warning msgs utils Config checker function python; do
  sed -e '1d' < "pychecker/${i}.py" > "pychecker/${i}.py_" && \
  touch -r "pychecker/${i}.py" "pychecker/${i}.py_" && \
  mv "pychecker/${i}.py_" "pychecker/${i}.py"
done

# fix encoding
iconv -f iso-8859-1 -t utf-8 MAINTAINERS > MAINTAINERS_ && \
touch -r MAINTAINERS MAINTAINERS_ && \
mv MAINTAINERS_ MAINTAINERS


%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYRIGHT KNOWN_BUGS MAINTAINERS README TODO
%{_bindir}/pychecker
%{python_sitelib}/pychecker

%if 0%{?fedora} >= 9
%{python_sitelib}/*.egg-info
%endif

%exclude %{python_sitelib}/pychecker/ChangeLog
%exclude %{python_sitelib}/pychecker/COPYRIGHT
%exclude %{python_sitelib}/pychecker/KNOWN_BUGS
%exclude %{python_sitelib}/pychecker/MAINTAINERS
%exclude %{python_sitelib}/pychecker/README
%exclude %{python_sitelib}/pychecker/TODO
%exclude %{python_sitelib}/pychecker/VERSION

%changelog
* Thu Jan 13 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 0.8.19-1
- Update to pychecker-0.8.19

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.8.17-11
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.17-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 15 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 0.8.17-9
- Merge Review
  Resolves: #226330

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.17-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.8.17-7
- Rebuild for Python 2.6

* Wed Nov  5 2008 Daniel Mach <dmach@redhat.com> - 0.8.17-6
- Add dist tag
- Package .egg-info file only on Fedora >= 9
- Use python_sitelib instead of hardcoded paths

* Mon Jun 16 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 0.8.17-5
- Rebuild
  Resolves: #451375

* Tue Apr 29 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 0.8.17-4
- Add minor improvements to pychecker2/main.py (patch by Stani's Python
  Editor folks)
  Resolves: #443416

* Thu Apr 10 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 0.8.17-3
- Spec file cleanup (fix Buildroot, fix License, fix %%files)

* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 0.8.17-2
- rebuild against python 2.5 

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.8.17-1.1
- rebuild

* Sat Feb  4 2006 Miloslav Trmac <mitr@redhat.com> - 0.8.17-1
- Update to pychecker-0.8.17

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Sep 12 2005 Miloslav Trmac <mitr@redhat.com> - 0.8.16-1
- Update to pychecker-0.8.16
- Don't ship VERSION
- Small spec file cleanups

* Tue Jun 28 2005 Miloslav Trmac <mitr@redhat.com> - 0.8.14-5
- Don't ship documentation in the python*/site-packages
- Rely on redhat-rpm-config for .py[co] generation
- Backport a fix for spurious warnings about divisions
- Disable warning about mismatch of implicit and explicit returns, it has too
  many false positives with Python 2.4
- Fix handling of functions with no known return value
- Fix handling of tuple literals

* Thu Jun  9 2005 Miloslav Trmac <mitr@redhat.com> - 0.8.14-4
- Backport a fix for spurious warnings about "is{, not} None"

* Fri Feb 18 2005 Miloslav Trmac <mitr@redhat.com> - 0.8.14-3
- Fix build failure on lib64 platforms

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 0.8.14-2
- rebuild against python 2.4

* Sun Jul 18 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- 0.8.14

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 23 2004 Jeremy Katz <katzj@redhat.com> - 0.8.13-3
- rebuild

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Dec 11 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- 0.8.13 release

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com> 0.8.12-2
- rebuild for python 2.3

* Sun May 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- 0.8.12

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 0.8.11-3
- lib64'ize

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun  6 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.8.11-1
- 0.8.11

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Mar 21 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.8.10-1
- 0.8.10, bugfix release

* Tue Feb 26 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.8.9-2
- Rebuild

* Mon Feb  4 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.8.9-1
- 0.8.9

* Mon Jan 14 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.8.8-1
- 0.8.8

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jan  6 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.8.7-1
- 0.8.7
- Include optimized bytecode
- Use the pychecker script from pychecker package

* Fri Nov 16 2001 Trond Eivind Glomsrød <teg@redhat.com> 0.8.6-1
- 0.8.6

* Wed Oct 17 2001 Trond Eivind Glomsrød <teg@redhat.com> 0.8.5-1
- 0.8.5

* Mon Sep 24 2001 Trond Eivind Glomsrød <teg@redhat.com> 0.8.4-1
- 0.8.4

* Sat Sep 15 2001 Trond Eivind Glomsrød <teg@redhat.com> 0.8.3-1
- 0.8.3
- build for python 2.2

* Sun Jul 22 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 0.7.5

* Fri Jul 20 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Add pyhon-devel to buildrequires (#49567)

* Thu Jul 19 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 0.7

* Thu Jul  5 2001 Matt Wilson <msw@redhat.com>
- removed glob from /usr/bin/*, changed it to /usr/bin/pychecker, as that is the
  only file not listed in installed_files

* Thu Jul  5 2001 Trond Eivind Glomsrød <teg@redhat.com>
- rebuild

* Mon Jul  2 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 0.6.1

* Wed May 30 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 0.5
- change the file location in the pychecker wrapper
- Use distutils to build and install

* Tue Apr 24 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Initial build.


